/*
+-------------------------------- DISCLAIMER ---------------------------------+
|                                                                             |
| This application program is provided to you free of charge as an example.   |
| Despite the considerable efforts of Euresys personnel to create a usable    |
| example, you should not assume that this program is error-free or suitable  |
| for any purpose whatsoever.                                                 |
|                                                                             |
| EURESYS does not give any representation, warranty or undertaking that this |
| program is free of any defect or error or suitable for any purpose. EURESYS |
| shall not be liable, in contract, in torts or otherwise, for any damages,   |
| loss, costs, expenses or other claims for compensation, including those     |
| asserted by third parties, arising out of or in connection with the use of  |
| this program.                                                               |
|                                                                             |
+-----------------------------------------------------------------------------+
*/

//
//  FirstExpert Project
//
//  FirstExpertView class definition
//  File: FirstExpertView.cpp
//////////////////////////////////////////////////////////////////////////////////

// Application Header
//////////////////////////////////////////////////////////////////////////////////
#include "FirstExpert.h"

// Macros
//////////////////////////////////////////////////////////////////////////////////
IMPLEMENT_DYNAMIC_CLASS(FirstExpertView, wxView)

// Event Table
//////////////////////////////////////////////////////////////////////////////////
BEGIN_EVENT_TABLE(FirstExpertView, wxView)

END_EVENT_TABLE()

// Constructors 
//////////////////////////////////////////////////////////////////////////////////
FirstExpertView::FirstExpertView()
{
    wxGetApp().GetMainFrame()->SetViewPointer(this);
}

FirstExpertView::~FirstExpertView()
{

}

// Event Handlers 
//////////////////////////////////////////////////////////////////////////////////
bool FirstExpertView::OnCreate(wxDocument* doc,long flags)
{
    FirstExpertDoc* pDoc=(FirstExpertDoc*)doc;

    Activate(true);

    return true;
}

void FirstExpertView::OnDraw(wxDC* dc)
{
    FirstExpertDoc* pDoc=(FirstExpertDoc*) GetDocument();

    if (pDoc)
    {
        // + MultiCam FirstExpert sample program
        if (pDoc->GetBuffer())
        {
            GtkWidget* pwidget=(GtkWidget*) ((wxGetApp().GetMainFrame())->GetCanvas())->m_wxwindow;

            GtkPizza *pizza = GTK_PIZZA(pwidget);

            GdkWindow *win = pizza->bin_window;

            GdkGC* gdkgc = gdk_gc_new(win);

            INT32 n32XOffset,n32YOffset;

            ((wxGetApp().GetMainFrame())->GetCanvas())->GetViewStart(&n32XOffset,&n32YOffset);

            gdk_draw_gray_image(win,gdkgc,(-1)*n32XOffset,(-1)*n32YOffset,pDoc->GetWidth(),pDoc->GetHeight(),
                GDK_RGB_DITHER_NONE,pDoc->GetBuffer(),pDoc->GetWidth()*1);

            gdk_gc_unref(gdkgc);
        }
        // - MultiCam FirstExpert sample program
    }
}

void FirstExpertView::OnUpdate(wxView* sender, wxObject* hint)
{
    ((wxGetApp().GetMainFrame())->GetCanvas())->Refresh(false);
}

bool FirstExpertView::OnClose(bool deleteWindow)
{
    if (!GetDocument()->Close())
        return false;

    wxGetApp().GetMainFrame()->SetViewPointer(NULL);

    Activate(false);

    return true;
}
