/*
+-------------------------------- DISCLAIMER ---------------------------------+
|                                                                             |
| This application program is provided to you free of charge as an example.   |
| Despite the considerable efforts of Euresys personnel to create a usable    |
| example, you should not assume that this program is error-free or suitable  |
| for any purpose whatsoever.                                                 |
|                                                                             |
| EURESYS does not give any representation, warranty or undertaking that this |
| program is free of any defect or error or suitable for any purpose. EURESYS |
| shall not be liable, in contract, in torts or otherwise, for any damages,   |
| loss, costs, expenses or other claims for compensation, including those     |
| asserted by third parties, arising out of or in connection with the use of  |
| this program.                                                               |
|                                                                             |
+-----------------------------------------------------------------------------+
*/

//
//  FirstExpert Project
//
//  MainFrame class declaration
//  File: MainFrame.h
//////////////////////////////////////////////////////////////////////////////////

// Header macro definition
//////////////////////////////////////////////////////////////////////////////////
#ifndef MainFrame_h
#define MainFrame_h

// Class definition
//////////////////////////////////////////////////////////////////////////////////
class MainFrame : public wxDocParentFrame
{
// Constructors
public:
    MainFrame(wxDocManager* manager, wxFrame *parent, const wxString& title,
        const wxPoint& pos,const wxSize& size,long type);

// Variables
private:
    FirstExpertCanvas *m_pCanvas;

// Accessors
public:


// Event Handlers
public:
    void OnAbout(wxCommandEvent& event);
    void OnNew(wxCommandEvent& event);
    void OnRefresh(wxEvent& event);

private:
    DECLARE_CLASS(MainFrame)
    DECLARE_EVENT_TABLE()

// Methods
public:
    void SetViewPointer(FirstExpertView *pView);
    FirstExpertCanvas* GetCanvas() {return m_pCanvas;};
};

#endif // END of header macro definition
